CellView

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl
Class CellView

    java.lang.Object
      jxl.CellView

    public final class CellView

extends java.lang.Object

This is a bean which client applications may use to get/set various properties for a row or column on a spreadsheet

Constructor Summary
`CellView()` Default constructor
`CellView(CellView cv)` Copy constructor

Method Summary
`boolean` | `depUsed()` Accessor for the depUsed attribute
`int` | `getDimension()` Deprecated. use getSize() instead
`CellFormat` | `getFormat()` Accessor for the cell format for this group.
`int` | `getSize()` Gets the width of the column in characters multiplied by 256, or the height of the row in 1/20ths of a point
`boolean` | `isAutosize()` Accessor for the autosize flag NOTE: use of the autosize function is very processor intensive, so use with care
`boolean` | `isHidden()` Accessor for the hidden nature of this row/column
`void` | `setAutosize(boolean a)` Sets the autosize flag.
`void` | `setDimension(int d)` Deprecated. use the setSize method instead
`void` | `setFormat(CellFormat cf)` Sets the cell format for this group of cells
`void` | `setHidden(boolean h)` Sets the hidden status of this row/column
`void` | `setSize(int d)` Sets the dimension for this view

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellView

    public CellView()

  Default constructor

### CellView

    public CellView(CellView cv)

  Copy constructor

Method Detail

### setHidden

    public void setHidden(boolean h)

  Sets the hidden status of this row/column

  Parameters:
    `h` - the hidden flag

### isHidden

    public boolean isHidden()

  Accessor for the hidden nature of this row/column

  Returns:
    TRUE if this row/column is hidden, FALSE otherwise

### setDimension

    public void setDimension(int d)

  Deprecated. use the setSize method instead

  Sets the dimension for this view

  Parameters:
    `d` - the width of the column in characters, or the height of the row in 1/20ths of a point

### setSize

    public void setSize(int d)

  Sets the dimension for this view

  Parameters:
    `d` - the width of the column in characters multiplied by 256, or the height of the row in 1/20ths of a point

### getDimension

    public int getDimension()

  Deprecated. use getSize() instead

  Gets the width of the column in characters or the height of the row in 1/20ths

  Returns:
    the dimension

### getSize

    public int getSize()

  Gets the width of the column in characters multiplied by 256, or the height of the row in 1/20ths of a point

  Returns:
    the dimension

### setFormat

    public void setFormat(CellFormat cf)

  Sets the cell format for this group of cells

  Parameters:
    `cf` - the format for every cell in the column/row

### getFormat

    public CellFormat getFormat()

  Accessor for the cell format for this group.

  Returns:
    the format for the column/row, or NULL if no format was specified

### depUsed

    public boolean depUsed()

  Accessor for the depUsed attribute

  Returns:
    TRUE if the deprecated methods were used to set the size, FALSE otherwise

### setAutosize

    public void setAutosize(boolean a)

  Sets the autosize flag. Currently, this only works for column views

  Parameters:
    `a` - autosize

### isAutosize

    public boolean isAutosize()

  Accessor for the autosize flag NOTE: use of the autosize function is very processor intensive, so use with care

  Returns:
    TRUE if this row/column is to be autosized

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD